Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.rtf
Class RtfMapper

    java.lang.Object
      com.lowagie.text.rtf.RtfMapper

    public class RtfMapper

extends java.lang.Object

The RtfMapper provides mappings between com.lowagie.text.* classes and the corresponding com.lowagie.text.rtf.** classes.

Version:
  $Revision$
Author:
  Mark Hall (Mark.Hall@mail.room3b.eu)

Field Summary
`(package private) RtfDocument` | `rtfDoc` The RtfDocument this RtfMapper belongs to

Constructor Summary
`RtfMapper(RtfDocument doc)` Constructs a RtfMapper for a RtfDocument

Method Summary
`RtfBasicElement[]` | `mapElement(Element element)` Takes an Element subclass and returns an array of RtfBasicElement subclasses, that contained the mapped RTF equivalent to the Element passed in.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rtfDoc

    RtfDocument rtfDoc

  The RtfDocument this RtfMapper belongs to

Constructor Detail

### RtfMapper

    public RtfMapper(RtfDocument doc)

  Constructs a RtfMapper for a RtfDocument

  Parameters:
    `doc` - The RtfDocument this RtfMapper belongs to

Method Detail

### mapElement

    public RtfBasicElement[] mapElement(Element element)
                                 throws DocumentException

  Takes an Element subclass and returns an array of RtfBasicElement subclasses, that contained the mapped RTF equivalent to the Element passed in.

  Parameters:
    `element` - The Element to wrap
  Returns:
    An array of RtfBasicElement wrapping the Element
  Throws:
    `DocumentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD